Skip to Content
API ReferenceEvalPOST /search

POST /eval/search

Search Eval

Search evals — composable infra architecture.

Request Body (SearchEvalApiRequest)

FieldTypeRequiredDescription
searchstringNo—
filter_department_idsstring[]No—
department_searchstringNo—
page_sizeintegerNo—
page_offsetintegerNo—
snapshot_keystringNoCache snapshot key for consistent reads across related requests

Response (ListEvalApiResponse)

FieldTypeRequiredDescription
actor_namestringNoDisplay name of the current user
evalsListEvalApiEval[]NoList of evals
department_filterListFilterSectionNoFilter options for departments in list UI
flag_filterListFilterSectionNoFilter options for flags in list UI
model_filterListFilterSectionNoFilter options for models in list UI
rubric_filterListFilterSectionNoFilter options for rubrics in list UI
total_countintegerNoTotal number of matching records
user_rolestringNoRole of the current user
import_fieldsImportField[]NoCSV import column schema for the bulk-import dialog
Last updated on